Bullet Collision Detection & Physics Library: GIM_BVH_DATA_ARRAY Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
GIM_BVH_DATA_ARRAY Class Reference

`#include <btGImpactBvh.h>`

Inheritance diagram for GIM_BVH_DATA_ARRAY:
[legend]
Collaboration diagram for GIM_BVH_DATA_ARRAY:
[legend]

## Additional Inherited Members
Public Member Functions inherited from btAlignedObjectArray< GIM_BVH_DATA >
btAlignedObjectArray< GIM_BVH_DATA > & | operator= (const btAlignedObjectArray< GIM_BVH_DATA > &other)
| btAlignedObjectArray ()
| btAlignedObjectArray (const btAlignedObjectArray &otherArray)
| Generally it is best to avoid using the copy constructor of an btAlignedObjectArray, and use a (const) reference to the array instead.
| ~btAlignedObjectArray ()
int | size () const
| return the number of elements in the array
const GIM_BVH_DATA & | at (int n) const
GIM_BVH_DATA & | at (int n)
const GIM_BVH_DATA & | operator[] (int n) const
GIM_BVH_DATA & | operator[] (int n)
void | clear ()
| clear the array, deallocated memory. Generally it is better to use array.resize(0), to reduce performance overhead of run-time memory (de)allocations.
void | pop_back ()
void | resizeNoInitialize (int newsize)
| resize changes the number of elements in the array.
void | resize (int newsize, const GIM_BVH_DATA &fillData=GIM_BVH_DATA())
GIM_BVH_DATA & | expandNonInitializing ()
GIM_BVH_DATA & | expand (const GIM_BVH_DATA &fillValue=GIM_BVH_DATA())
void | push_back (const GIM_BVH_DATA &_Val)
int | capacity () const
| return the pre-allocated (reserved) elements, this is at least as large as the total number of elements,see size() and reserve()
void | reserve (int _Count)
void | quickSortInternal (const L &CompareFunc, int lo, int hi)
void | quickSort (const L &CompareFunc)
void | downHeap (GIM_BVH_DATA *pArr, int k, int n, const L &CompareFunc)
| heap sort from http://www.csse.monash.edu.au/~lloyd/tildeAlgDS/Sort/Heap/
void | swap (int index0, int index1)
void | heapSort (const L &CompareFunc)
int | findBinarySearch (const GIM_BVH_DATA &key) const
| non-recursive binary search, assumes sorted array
int | findLinearSearch (const GIM_BVH_DATA &key) const
int | findLinearSearch2 (const GIM_BVH_DATA &key) const
void | removeAtIndex (int index)
void | remove (const GIM_BVH_DATA &key)
void | initializeFromBuffer (void *buffer, int size, int capacity)
void | copyFromArray (const btAlignedObjectArray &otherArray)
Protected Member Functions inherited from btAlignedObjectArray< GIM_BVH_DATA >
int | allocSize (int size)
void | copy (int start, int end, GIM_BVH_DATA *dest) const
void | init ()
void | destroy (int first, int last)
void * | allocate (int size)
void | deallocate ()

## Detailed Description

Definition at line 52 of file btGImpactBvh.h.

The documentation for this class was generated from the following file:

- btGImpactBvh.h